﻿@using X.PagedList;
@using X.PagedList.Mvc.Core;




@model IPagedList<Post>


@{
    ViewData["Title"] = "All Post";
    var mostViewPost = _unitOfWork.PostRepository.GetMostViewedPost(6);
    var latestPost = _unitOfWork.PostRepository.GetLatestPost(10);
}
@section Header{

}
@section ListPost{
    <div class="col-4">l
       <strong>
          BÀI VIẾT MỚI
      </strong>
      <partial name="_ListPosts" model=latestPost/>
   </div>
}
<div class="col-8">
     <div class="row">
        @foreach(var item in Model)
        {
            IList<Tag> listTag=_unitOfWork.TagRepository.GetTagsByPost(item.Id);
               
                <div class="post-preview">
                    <img class="ml-1 mr-3 mb-5" width="200" height="200" src="~/custom/client/img/@item.ImageLink">
                    <div>
                        <a href="/Post/@item.PostedOn.Value.Year/@item.PostedOn.Value.Month.ToString("00")/@item.UrlSlug">
                            <p class=""><strong>
                                               @item.Title
                                        </strong>
                      
                            </p>
                        </a>
                        <p class="post-meta">Posted @LapStore.Common.DayHelper.GetTimeFromCreated(item.PostedOn.Value) with rate @Math.Round(item.Rate,2) by @item.ViewCount view(s)</p><br>
                        <p class="">
                        @item.ShortDescription
                        </p>
                    </div>
                </div>
        }
        
        <!-- Pager -->
        <div class="clearfix">
                @Html.PagedListPager(Model, page => Url.Action("index", new { page = page }))
        </div>
    </div>
</div>

